%global packname  numDeriv
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          2016.8.1
Release:          1%{?dist}.110
Summary:          Accurate Numerical Derivatives

Group:            Applications/Engineering 
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_2016.8-1.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   
# Suggests:  
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core


BuildRequires:    R-devel tex(latex) 



%description
Methods for calculating (usually) accurate numerical first and second
order derivatives. Accurate calculations are done using 'Richardson''s'
extrapolation or, when applicable, a complex step derivative is available.
A simple difference method is also provided. Simple difference is
(usually) less accurate but is much quicker than 'Richardson''s'
extrapolation and provides a useful cross-check. Methods are provided for
real scalar and vector valued functions.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 18 2017 Oleg Girko <ol@infoserver.lv> 2016.8.1-1
- Initial package for Fedora
